
CoCoALib - Support #1338

Release CoCoALib-0.99700

15 Oct 2019 13:49 - Anna Maria Bigatti

Status: Closed Start date: 15 Oct 2019

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Various Estimated time: 2.66 hours

Target version: CoCoALib-0.99700 Spent time: 2.55 hours

Description

Everything related to making a CoCoALib release:

Redmine Roadmap: close or postpone issue

Redmine Release issues: check percentages, check timings

Finalize

make veryclean; make (full make, with all tests and examples and CoCoA-5..)

cd src/tests/; make valgrind

cd src/CoCoA-5; make ManExamples

~/shell-scripts/cocoalib-cvs-snapshot

upload examples

upload manual

update webpage

publish manual (arXiv? ResearchGate?)

close release on Redmine

--> send message to facebook page

Related issues:

Related to CoCoALib - Support #1276: Release 0.99650 Closed 29 Apr 2019

Related to CoCoALib - Support #1149:  Release: CoCoALib-0.99600 (together wit... Closed 17 Jan 2018 06 Aug 2018

Related to CoCoALib - Bug #1449: Bivariate factor bug: sometimes a factor is ... Closed 20 Apr 2020

History

#1 - 15 Oct 2019 13:50 - Anna Maria Bigatti

- Description updated

#2 - 15 Oct 2019 13:51 - Anna Maria Bigatti

- Related to Support #1276: Release 0.99650 added

#3 - 15 Oct 2019 13:51 - Anna Maria Bigatti

- Related to Support #1149:  Release: CoCoALib-0.99600 (together with CoCoA-5.2.4) added

#4 - 15 Oct 2019 13:55 - Anna Maria Bigatti

- Description updated

Add to this list as we do things (or remember things we have already done)

List of principal changes made:

Bug fix:

factor  could occasionally return a reducible factor (this bug is old, but only recently reported)

New functions

GetCol, GetCols, GetRow, GetRows

SylvesterMat  (#1334)

LawrenceMat (#1427)
IndetsIn  and  IndetsProd (redmine #658)

IsZeroDet  (impl is still just a prototype)

CoeffVecWRTSupport (for Vietnam school)

DicksonPoly(x, N, alpha)

FixedDivisor(f)

HomogCompt(f,d)

IsSquare(N)

IsEvenPoly(f), IsOddPoly(f)

HasPositiveGrading(Kxyz)

RandomPermutation(L)

LawrenceMat(M)

Changed functions

new API for CpuTimeLimit object

renamed  jacobian to JacobianMat (see redmine #1334)

fn IsZeroDim has been improved (was buggy)

fn RowReducedForm replaced by rref

New/renamed files

SparsePolyOps-RingElem-homog.C

#5 - 13 Feb 2020 10:55 - John Abbott

- Category set to Various

- Status changed from New to In Progress

- % Done changed from 0 to 50

#6 - 09 Mar 2020 10:25 - Anna Maria Bigatti

updated starting page: https://cocoa.dima.unige.it/redmine/

#7 - 09 Mar 2020 16:08 - John Abbott

- % Done changed from 50 to 80

#8 - 20 Mar 2020 13:06 - John Abbott

- Assignee set to Anna Maria Bigatti

The section in the web page with "Notes" looks a bit strange: e.g. "New and renamed files" seems to have two empty entries (why?)

#9 - 29 Apr 2020 12:43 - John Abbott

- Related to Bug #1449: Bivariate factor bug: sometimes a factor is reducible added

#10 - 20 May 2020 13:30 - John Abbott
- Status changed from In Progress to Closed

- % Done changed from 80 to 100

- Estimated time set to 2.66 h

We never officially released 0.99700 because issue #1449 came up just as we were about to announce.

So officially 0.99700 does not exist; it is replaced by 0.99710.

Closing.
